.woocommerce-info {
    border-top-color: var(--c-secondary);
}
.woocommerce form.checkout_coupon {
    background: #f7f1e1;
    border: none;
}

.woocommerce-info::before {
    color: var(--c-secondary)
}
.woocommerce-account .woocommerce-MyAccount-navigation ul {
    margin-top: 0;
}
.woocommerce-MyAccount-navigation ul li {
    list-style: none;
}
.woocommerce-MyAccount-navigation ul .woocommerce-MyAccount-navigation-link {
    background-color: white;
    border: none;
    border-bottom: 0.25px solid var(--black);
    padding: 15px;
    color: var(--black);
    text-align: left;
    width: 100%;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    margin: 0;
}

.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link  a {
    font-size: 1.6rem;
    font-weight: 700;
}

.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link.is-active {
    background-color: #E5E5E5;
}

.woocommerce-account .addresses .woocommerce-Address:last-of-type {
    border-top: 1px solid #777777;
    padding: 20px 0 0;
    margin-top: 20px;
}

.woocommerce-account .addresses .title .edit {
    float: none;
    background-color: var(--c-quaternary);
    padding: 5px;
    border-radius: 10px;
    margin-bottom: 2rem;
    position: relative;
    display: flex;
    align-items: center;
    gap: 1.6rem;
}

.woocommerce-account .addresses .title .edit:hover {
    background-color: var(--c-primary);
    color: white;
}

.woocommerce-account .addresses .title .edit::before {
    content: "+";
    font-size: 3rem;
    width: 50px;
    height: 50px;
    background-color: var(--c-primary);
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.woocommerce-account .addresses .title .edit:hover::before {
    background-color: var(--c-secondary);
}

.woocommerce-Addresses {
    padding-block: 2rem;
}

.woocommerce-MyAccount-content .woocommerce-Button[type="submit"],
.woocommerce-MyAccount-content button[type="submit"] {
    margin-top: 2rem;
}

.woocommerce table.my_account_orders .button {
    white-space: nowrap;
    padding: 8px 23px;
    font-size: 14px;
}

.woocommerce legend {
    text-transform: uppercase;
    color: #8f8f8f;
    font-weight: 600;
    font-size: 14px;
    border-bottom: 1px solid #8f8f8f;
    display: block;
    width: 100%;
    padding: 1.6rem 0;
}

.woocommerce form em {
    color: var(--c-secondary);
    font-size: 1.4rem;
}

.woocommerce nav.woocommerce-pagination ul {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    gap: 1rem;
}
.woocommerce nav.woocommerce-pagination ul li {
    border-right: 0;
    float: none;
}

.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current {
    background-color: transparent;
    color: var(--c-primary);
}

.woocommerce nav.woocommerce-pagination ul li a.next,
.woocommerce nav.woocommerce-pagination ul li a.prev {
    border-radius: 50%;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    line-height: 37px;
    padding: 0;
    border: 1px solid var(--c-secondary);
    color: var(--c-secondary);
    transition: all 0.3s ease-in-out;
}
.woocommerce nav.woocommerce-pagination ul li a.next:hover,
.woocommerce nav.woocommerce-pagination ul li a.prev:hover {
    background-color: var(--c-primary);
    color: var(--c-secondary);
    border-color: var(--c-primary);
}

.woocommerce form .form-row button[type="submit"] {
    margin-top: 24px;
}

@media (max-width: 480px) {
    .woocommerce form .form-row-first, .woocommerce-page form .form-row-first,
    .woocommerce form .form-row-last, .woocommerce-page form .form-row-last {
        width: 100%;
        float: none;
    }
}

/* Panier */
#add_payment_method table.cart img, .woocommerce-cart table.cart img, .woocommerce-checkout table.cart img {
    max-width: 100px;
    box-shadow: none;
    width: 100%;
    margin: 0 auto;
    display: block;
    border-radius: 20px;
}
.woocommerce-page .woocommerce-cart-form table.cart td.actions .coupon .input-text {
    width: 100%;
    max-width: 200px;
    padding-left: 20px;
    min-height: 52px;
}

:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:disabled[disabled] {
    padding: 16px 40px;
    color: var(--black);
    font-weight: 700;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button.alt:hover {
    background-color: var(--c-secondary);
    border-color: var(--c-secondary);
}

.woocommerce-cart-form .quantity {
    display: flex;
    align-items: center;
    justify-content: center;
}

.woocommerce-cart-form .quantity .btn-quantity {
    border: 1px solid black;
}

@media (max-width: 767px) {
    .coupon {
        display: flex;
    }
    .coupon .button {
        font-size: 16px;
        padding: 14px 8px;
    }
}

@media (max-width: 480px) {
    .cart .coupon {
        flex-direction: column;
        gap: 1.6rem;
    }

    .woocommerce-page .woocommerce-cart-form table.cart td.actions .coupon .input-text,
    .woocommerce-page table.cart td.actions .coupon .input-text+.button {
        width: 100%;
        max-width: 100%;
        float: none;
    }
}

.woocommerce-cart-form .product-quantity .quantity input {
    border: 1px solid var(--black);
    padding: 10px 20px;
    border-right: none;
    border-left: none;
    -moz-appearance: textfield;
}

.cart-has-subscription .recurring-totals,
.cart-has-subscription .cart-subtotal.recurring-total,
.cart-has-subscription .shipping.recurring-total,
.cart-has-subscription .tax-rate.recurring-total,
.cart-has-subscription .order-total.recurring-total {
    display: none;
}

/* Checkout */
#add_payment_method #payment ul.payment_methods li input, .woocommerce-cart #payment ul.payment_methods li input, .woocommerce-checkout #payment ul.payment_methods li input {
    margin: -2px 2px 0 0;
}
#add_payment_method #payment ul.payment_methods li input + label, .woocommerce-cart #payment ul.payment_methods li input + label, .woocommerce-checkout #payment ul.payment_methods li input + label {
    display: inline-block;
    vertical-align: middle;
}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1,
.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    padding: 0;
}

.woocommerce-additional-fields {
    margin-top: 2rem;
}

#order_comments {
    min-height: 235px;
}

#customer_details {
    margin-bottom: 4rem;
}

@media (max-width: 1200px) {
    form.woocommerce-checkout #customer_details {
        grid-column: col-start / span 7;
    }
    form.woocommerce-checkout #order_review {
        grid-column: col-start 8 / span 5;
    }
}

@media (max-width: 991px) {
    form.woocommerce-checkout #customer_details {
        grid-column: col-start / span 12;
    }
    form.woocommerce-checkout #order_review {
        grid-column: col-start / span 12;
    }
    .woocommerce-checkout #order_review_heading {
        display: block;
    }
}

.woocommerce-customer-details .woocommerce-columns {
    display: grid;
    row-gap: 3rem;
}

@media (max-width: 992px) {
    ul.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li {
        float: none;
        border-bottom: 1px dashed #cfc8d8;
        border-right: none;
        padding: 2rem 0;
        margin: 0;
    }
}

/* Abonnements */
.subscription_details td .woocommerce-button {
    padding: 8px 20px;
    font-size: 1.4rem;
    margin-block: 1.5rem
}

.subscription_details td .woocommerce-button.cancel {
    background-color: #ff3838;
    color: white;
    border-color: #ff3838;
}

.woocommerce-cart .woocommerce-notices-wrapper .woocommerce-message .button {
    display: none;
}

/* Statut "Déjà abonné" — non cliquable */
.already-subscribed {
    cursor: default;
    opacity: 0.7;
    pointer-events: none;
}
